KAS-CHECKOUT(1)

NAME
kas-checkout - kas checkout plugin

SYNOPSIS

            kas checkout [-h] [--skip STEP] [--force-checkout] [--update] [config]

DESCRIPTION

Checks out all necessary repositories and sets up the build directory as specified in the configuration file.

This plugin implements the kas checkout command.

When this command is executed, kas will checkout repositories and set up the build directory as specified in the chosen config file. This command is useful if you need to inspect the configuration or modify any of the checked out layers before starting a build.

For example, to setup the configuration described in the file kas-project.yml you could run:

            kas checkout kas-project.yml

OPTIONS

Positional Arguments

    config
        Config file(s), separated by colon. Using .config.yaml in KAS_WORK_DIR if none is specified.

Named Arguments

    --skip=[]
        Skip build steps. To skip more than one step, use this argument multiple times.

        Possible choices: setup_dir, setup_home, make_non_interactive, init_setup_repos, repo_setup_loop, finish_setup_repos, repos_checkout, repos_apply_patches, setup_environ, write_bbconfig

    --force-checkout=False
        Always checkout the desired commit/branch/tag of each repository, discarding any local changes

    --update=False
        Pull new upstream changes to the desired branch even if it is already checked out locally

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025